Support » Plugins » [Plugin: Inline Editor] Favorite Plugin, But Breaks Other Plugins

  • johnywhy

    (@johnywhy)


    one of the best plugins i’ve ever seen.

    but breaks “Fast and Secure Contact Form” and “TDO Mini Forms”.

    causes “Fast and Secure Contact Form” to reject valid Captcha entry, with “Could not read CAPTCHA cookie” message.

    causes “TDO Mini Forms” upload-widget to fail.

    http://wordpress.org/extend/plugins/inline-editor/

Viewing 2 replies - 1 through 2 (of 2 total)
  • Mike Challis

    (@mikechallis)

    The problem is it takes over the session of other plugins that use sessions.

    I have the fix to make compatible with “Fast and Secure Contact Form”, a plugin that uses sessions for the CAPTCHA.
    http://wordpress.org/extend/plugins/si-contact-form/

    edit:
    inline-editor.php
    look in function InlineEditor()
    on line 49 delete: $_SESSION['ile']['filter'] = true;

    look in function init()
    on line 295 add:

    if( !isset( $_SESSION ) ) { // play nice with other plugins
        session_cache_limiter ('private, must-revalidate');
        session_start();
        }
        $_SESSION['ile']['filter'] = true;

    …also, all the PHP files should have a closing PHP tag and they don’t

    johnywhy

    (@johnywhy)

    Thanks a lot, Mike. You’re great!

    Seems to work ok without those closing tags… is there a possible drawback to the missing tags, aside from poor form?

Viewing 2 replies - 1 through 2 (of 2 total)
  • The topic ‘[Plugin: Inline Editor] Favorite Plugin, But Breaks Other Plugins’ is closed to new replies.